package com.schoolinout.system.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import javax.validation.constraints.NotBlank;

/**
 * @author sakura
 * @date 2024/1/9 17:17:19 Tue
 */
@Schema(name = "用户端家长登入实体")
public class ApiParentDto {
    @Schema(description = "电话", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "手机号不能为空")
    private String phone;
    @Schema(description = "手机号验证码", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "手机号验证码不能为空")
    private String code;
    @Schema(description = "学号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "学号不能为空")
    private String studentNum;

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(String studentNum) {
        this.studentNum = studentNum;
    }
}
